'use strict';
const DirAnalyzer = require('./dir-analyzer');
const fs = require('fs');

let myFlatDb = fs.createWriteStream('./data/output.json');

// Takes the directory to scan, and array of directories to ignore.
const scan = new DirAnalyzer('./node_modules',['/windows']);

// Read the data coming in from the scan.
scan.stream.on('data', data => {
    console.log(JSON.parse(data))
});

// Pipe the data.
scan.stream.pipe(myFlatDb);

// Perform a function when the scan is complete.
scan.stream.on('end', () => {
    console.log('Scan is done!');
});

// Initiate your scan.
scan.start();